#ifndef ARC_GRAPHICS_RECT_H_
#define ARC_GRAPHICS_RECT_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "arc/graphics/color.h"
#include "arc/graphics/renderer.h"
#include "arc/math/rectangle.h"
#include <stdint.h>

void ARC_Rect_Render(ARC_Rect *rect, ARC_Renderer *renderer, ARC_Color *color);

void ARC_Rect_RenderFill(ARC_Rect *rect, ARC_Renderer *renderer, ARC_Color *color);

void ARC_FRect_Render(ARC_FRect *rect, ARC_Renderer *renderer, ARC_Color *color);

void ARC_FRect_RenderFill(ARC_FRect *rect, ARC_Renderer *renderer, ARC_Color *color);

#ifdef __cplusplus
}
#endif

#endif // !ARC_GRAPHICS_RECT_H_
